/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"CurlHelper_8h.html#a218bb9382f547f6d4a5fe70c12567def",
"IdStringType_8h.html#afa53946d82e433de1744649a0b6d30f1",
"MediaInfoDownloader_8cc.html#a2a0ce89b7a854ad759121777e31a6844",
"PluginScript_8cc.html#ad11ca1dc9757eafa29e9de2259388ff4",
"RepoFileReader_8cc.html#aa632736b3283d467d48d72120c07c109",
"RpmFlags_8h.html#a4c4781cc6d1baa791e7b97b8093beeb9a0bc178c0cb88ae1093ded44dd793a96a",
"Status_8h.html#a7b8657a86d4d56c3848b2bed39dffe62a77f14848c17c65622a73384465f2a131",
"ValueTransform_8h.html",
"classzypp_1_1Arch.html#a5fa019f7b1ab7edf486f8e2130ab0c7d",
"classzypp_1_1Capability.html#a4992b6cea50fff5bad7d0e60d4513f94",
"classzypp_1_1CpeId_1_1Value.html#ac50c5d1db988cd3f4d5e30a4a92cbfe6",
"classzypp_1_1Exception.html#adfa4b6972bcdc173455d7a01068e221a",
"classzypp_1_1HistoryLogData_1_1Impl.html",
"classzypp_1_1Locale.html#a4ce5e7a98e2ab4d0d6d8330c88e7aea4",
"classzypp_1_1OnMediaLocation.html#af04ff4db4f0a675d2ae9ebeee7adff42",
"classzypp_1_1PluginScriptException.html#a404d99b97ca68715e70e06f12fb4d5dc",
"classzypp_1_1Product.html#ab819f90a248041bcb0c6c0ceecdedd6b",
"classzypp_1_1RepoInfo.html#aaffbd17e11b8dcc7f83d8ee3decef9e0",
"classzypp_1_1ResPool.html#a1b06c3edabc8aa2890a041696edd8cc3",
"classzypp_1_1ResStatus.html#ac73ec1dcf3eb4a364d4420e9efe5dfb5a26111b3435ba1c3cdc059af7d78105f7",
"classzypp_1_1Signature.html#a784550705fb28a0ec744910322c2a9bc",
"classzypp_1_1VendorAttr_1_1Impl.html#a8fed71bacfb5402235c549369c002983",
"classzypp_1_1ZYppCommitPolicy_1_1Impl.html#add38bda1964f93032abb189e744fcd49",
"classzypp_1_1base_1_1Unit.html#a5b91b859cdf853da47ce742e840826a8",
"classzypp_1_1filesystem_1_1Glob.html#a76ca385ae65a1c1f2d6838ea9265daa0",
"classzypp_1_1filter_1_1ByStatus.html#a4604c17e41138ec6028a5c1875fd7374",
"classzypp_1_1media_1_1MediaCD.html#a3dc7201cf2d0aa8d1ed8fd9e0b01dc00",
"classzypp_1_1media_1_1MediaManager.html#a376b9c4bc9982b3ca24dfe06b84ae6e1",
"classzypp_1_1media_1_1ProxyInfo.html#a13ce8299f228be00a539864d080d3ff2",
"classzypp_1_1misc_1_1testcase_1_1TestcaseSetup.html#add9658cc66e5f7cd9ff648336c450899",
"classzypp_1_1pool_1_1PoolImpl.html#ababd33833fe29cea4e70f23411403174",
"classzypp_1_1repo_1_1ServiceNoUrlException.html#a418f39f940fb8ddf94402efdffd2f10a",
"classzypp_1_1sat_1_1Map.html#ada504decf0f86fca24e50059c0d6bbaf",
"classzypp_1_1sat_1_1Solvable.html#a356e99c0861685d6cb9f4de00ab6424f",
"classzypp_1_1sat_1_1WhatProvides.html#af04b0c123963e108b1db2bd371ea52e7",
"classzypp_1_1str_1_1regex.html#abbc86e575d6bfff2394ba6c71ef50211",
"classzypp_1_1target_1_1TargetException.html#a9ab872d19693040e7689054f59162d98",
"classzypp_1_1target_1_1rpm_1_1RpmHeader.html#adffc5b553690d721404def667c11a766",
"classzypp_1_1ui_1_1StatusBackup.html#a780c2599459fd09a54c514138bae1d8b",
"classzypp_1_1xml_1_1Reader.html#a0e81375ae20af8925c06e53adae0981f",
"core_2base_2Logger_8h.html#ab8e8fd500d835aa78339f127b455a4fd",
"core_2fs_2PathInfo_8h.html#a958bc25e5cdb77076d63ace8d147d6c0",
"globals_defs_g.html",
"librpmDb_8cc.html",
"pool_2PoolImpl_8cc.html",
"structzypp_1_1Date_1_1ETimeFormatDef.html#acef3a4117424fa43c319d3cbebf8a41faf28f8fd29ef32bc667817f4cd2c0ea50",
"structzypp_1_1KeyRingReport.html#aab71009dc3dd2060791203a58a66a5c0",
"structzypp_1_1ProvideFileExistenceOperation.html",
"structzypp_1_1RepoManager_1_1Impl.html#a86348e17e1caa661a91a928c39e94c56",
"structzypp_1_1base_1_1ContainerTransform.html#afad3c78174d1fc909092f8f9ef5de1f0",
"structzypp_1_1externalprogram_1_1EarlyPipe.html#a74fb2ae10559ffeb4e682b776fc0d007",
"structzypp_1_1media_1_1ScopedDisableMediaChangeReport.html#a7170879efa1e3b9aafb18d21c2ab7117",
"structzypp_1_1repo_1_1ProbeRepoReport.html#add8cc0c637136b809d3f84d3ebe51622aac620050300fa10d561e5d143f2793da",
"structzypp_1_1sat_1_1SolvableType.html#ab5d6c0b60bfe03228acbf28afd0e6c5b",
"structzypp_1_1target_1_1rpm_1_1RebuildDBReport.html#ab8e2d6aa83707e6007a0e0744e2f964e",
"structzypp_1_1xml_1_1ParseDefTraits.html#af8e164d0f4c9ae0a24a5f55828d95d65aad53d5ee242ce1c882353d01d08d8018"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';